<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/ncp/spinel.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d8/d19/spinel_8h_source.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">spinel.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> *    Copyright (c) 2016, The OpenThread Authors.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *    All rights reserved.</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *    Redistribution and use in source and binary forms, with or without</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> *    modification, are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *    1. Redistributions of source code must retain the above copyright</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *       notice, this list of conditions and the following disclaimer.</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *    2. Redistributions in binary form must reproduce the above copyright</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *       notice, this list of conditions and the following disclaimer in the</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *       documentation and/or other materials provided with the distribution.</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> *    3. Neither the name of the copyright holder nor the</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *       names of its contributors may be used to endorse or promote products</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *       derived from this software without specific prior written permission.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> *    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *    ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *    WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *    DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *    DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> *    (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *    LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *    ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> *    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> *    SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#ifndef SPINEL_HEADER_INCLUDED</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#define SPINEL_HEADER_INCLUDED 1</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &lt;stdarg.h&gt;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &lt;stdbool.h&gt;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment">// ----------------------------------------------------------------------------</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#ifndef DOXYGEN_SHOULD_SKIP_THIS</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor"># if defined(__GNUC__)</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#  define SPINEL_API_EXTERN              extern __attribute__ ((visibility (&quot;default&quot;)))</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#  define SPINEL_API_NONNULL_ALL         __attribute__((nonnull))</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#  define SPINEL_API_WARN_UNUSED_RESULT  __attribute__((warn_unused_result))</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor"># endif // ifdef __GNUC__</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor"># if !defined(__BEGIN_DECLS) || !defined(__END_DECLS)</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#  if defined(__cplusplus)</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="preprocessor">#   define __BEGIN_DECLS   extern &quot;C&quot; {</span></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="preprocessor">#   define __END_DECLS     }</span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="preprocessor">#  else // if defined(__cplusplus)</span></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="preprocessor">#   define __BEGIN_DECLS</span></div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="preprocessor">#   define __END_DECLS</span></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="preprocessor">#  endif // else defined(__cplusplus)</span></div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="preprocessor"># endif // if !defined(__BEGIN_DECLS) || !defined(__END_DECLS)</span></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="preprocessor">#endif // ifndef DOXYGEN_SHOULD_SKIP_THIS</span></div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="preprocessor">#ifndef SPINEL_API_EXTERN</span></div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="preprocessor"># define SPINEL_API_EXTERN               extern</span></div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="preprocessor">#ifndef SPINEL_API_NONNULL_ALL</span></div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="preprocessor"># define SPINEL_API_NONNULL_ALL</span></div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="preprocessor">#ifndef SPINEL_API_WARN_UNUSED_RESULT</span></div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="preprocessor"># define SPINEL_API_WARN_UNUSED_RESULT</span></div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="comment">// ----------------------------------------------------------------------------</span></div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="preprocessor">#define SPINEL_PROTOCOL_VERSION_THREAD_MAJOR    4</span></div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="preprocessor">#define SPINEL_PROTOCOL_VERSION_THREAD_MINOR    2</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="preprocessor">#define SPINEL_FRAME_MAX_SIZE                   1300</span></div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="comment">// ----------------------------------------------------------------------------</span></div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;__BEGIN_DECLS</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span></div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;{</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    SPINEL_STATUS_OK                = 0, </div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    SPINEL_STATUS_FAILURE           = 1, </div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    SPINEL_STATUS_UNIMPLEMENTED     = 2, </div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    SPINEL_STATUS_INVALID_ARGUMENT  = 3, </div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    SPINEL_STATUS_INVALID_STATE     = 4, </div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    SPINEL_STATUS_INVALID_COMMAND   = 5, </div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    SPINEL_STATUS_INVALID_INTERFACE = 6, </div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    SPINEL_STATUS_INTERNAL_ERROR    = 7, </div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    SPINEL_STATUS_SECURITY_ERROR    = 8, </div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    SPINEL_STATUS_PARSE_ERROR       = 9, </div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    SPINEL_STATUS_IN_PROGRESS       = 10, </div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    SPINEL_STATUS_NOMEM             = 11, </div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    SPINEL_STATUS_BUSY              = 12, </div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    SPINEL_STATUS_PROP_NOT_FOUND    = 13, </div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    SPINEL_STATUS_DROPPED           = 14, </div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    SPINEL_STATUS_EMPTY             = 15, </div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    SPINEL_STATUS_CMD_TOO_BIG       = 16, </div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    SPINEL_STATUS_NO_ACK            = 17, </div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    SPINEL_STATUS_CCA_FAILURE       = 18, </div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    SPINEL_STATUS_ALREADY           = 19, </div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    SPINEL_STATUS_ITEM_NOT_FOUND    = 20, </div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    SPINEL_STATUS_JOIN__BEGIN       = 104,</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    SPINEL_STATUS_JOIN_FAILURE      = SPINEL_STATUS_JOIN__BEGIN + 0,</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    SPINEL_STATUS_JOIN_SECURITY     = SPINEL_STATUS_JOIN__BEGIN + 1,</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    SPINEL_STATUS_JOIN_NO_PEERS     = SPINEL_STATUS_JOIN__BEGIN + 2,</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;    SPINEL_STATUS_JOIN_INCOMPATIBLE = SPINEL_STATUS_JOIN__BEGIN + 3,</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    SPINEL_STATUS_JOIN__END         = 112,</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;    SPINEL_STATUS_RESET__BEGIN      = 112,</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;    SPINEL_STATUS_RESET_POWER_ON    = SPINEL_STATUS_RESET__BEGIN + 0,</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;    SPINEL_STATUS_RESET_EXTERNAL    = SPINEL_STATUS_RESET__BEGIN + 1,</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    SPINEL_STATUS_RESET_SOFTWARE    = SPINEL_STATUS_RESET__BEGIN + 2,</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    SPINEL_STATUS_RESET_FAULT       = SPINEL_STATUS_RESET__BEGIN + 3,</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;    SPINEL_STATUS_RESET_CRASH       = SPINEL_STATUS_RESET__BEGIN + 4,</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    SPINEL_STATUS_RESET_ASSERT      = SPINEL_STATUS_RESET__BEGIN + 5,</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    SPINEL_STATUS_RESET_OTHER       = SPINEL_STATUS_RESET__BEGIN + 6,</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;    SPINEL_STATUS_RESET_UNKNOWN     = SPINEL_STATUS_RESET__BEGIN + 7,</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;    SPINEL_STATUS_RESET_WATCHDOG    = SPINEL_STATUS_RESET__BEGIN + 8,</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    SPINEL_STATUS_RESET__END        = 128,</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;    SPINEL_STATUS_VENDOR__BEGIN     = 15360,</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;    SPINEL_STATUS_VENDOR__END       = 16384,</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;    SPINEL_STATUS_STACK_NATIVE__BEGIN = 16384,</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    SPINEL_STATUS_STACK_NATIVE__END   = 81920,</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    SPINEL_STATUS_EXPERIMENTAL__BEGIN = 2000000,</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;    SPINEL_STATUS_EXPERIMENTAL__END   = 2097152,</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;} spinel_status_t;</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span></div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;{</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;    SPINEL_NET_ROLE_DETACHED   = 0,</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;    SPINEL_NET_ROLE_CHILD      = 1,</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;    SPINEL_NET_ROLE_ROUTER     = 2,</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;    SPINEL_NET_ROLE_LEADER     = 3,</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;} spinel_net_role_t;</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span></div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;{</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;    SPINEL_SCAN_STATE_IDLE     = 0,</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;    SPINEL_SCAN_STATE_BEACON   = 1,</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    SPINEL_SCAN_STATE_ENERGY   = 2,</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;} spinel_scan_state_t;</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span></div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;{</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;    SPINEL_POWER_STATE_OFFLINE    = 0,</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;    SPINEL_POWER_STATE_DEEP_SLEEP = 1,</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;    SPINEL_POWER_STATE_STANDBY    = 2,</div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;    SPINEL_POWER_STATE_LOW_POWER  = 3,</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;    SPINEL_POWER_STATE_ONLINE     = 4,</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;} spinel_power_state_t;</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;<span class="keyword">enum</span> {</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;    SPINEL_NET_FLAG_ON_MESH           = (1 &lt;&lt; 0),</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;    SPINEL_NET_FLAG_DEFAULT_ROUTE     = (1 &lt;&lt; 1),</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;    SPINEL_NET_FLAG_CONFIGURE         = (1 &lt;&lt; 2),</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;    SPINEL_NET_FLAG_DHCP              = (1 &lt;&lt; 3),</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;    SPINEL_NET_FLAG_SLAAC             = (1 &lt;&lt; 4),</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;    SPINEL_NET_FLAG_PREFERRED         = (1 &lt;&lt; 5),</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;    SPINEL_NET_FLAG_PREFERENCE_OFFSET = 6,</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;    SPINEL_NET_FLAG_PREFERENCE_MASK   = (3 &lt;&lt; SPINEL_NET_FLAG_PREFERENCE_OFFSET),</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;};</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;<span class="keyword">enum</span></div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;{</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;    SPINEL_PROTOCOL_TYPE_ZIGBEE    = 1,</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;    SPINEL_PROTOCOL_TYPE_ZIGBEE_IP = 2,</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;    SPINEL_PROTOCOL_TYPE_THREAD    = 3,</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;};</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;<span class="keyword">enum</span></div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;{</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;    SPINEL_MAC_PROMISCUOUS_MODE_OFF      = 0, </div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;    SPINEL_MAC_PROMISCUOUS_MODE_NETWORK  = 1, </div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;    SPINEL_MAC_PROMISCUOUS_MODE_FULL     = 2, </div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;};</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;</div><div class="line"><a name="l00212"></a><span class="lineno"><a class="line" href="../../df/d91/structspinel__eui64__t.html">  212</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct</span></div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;{</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;    uint8_t bytes[8];</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;} <a class="code" href="../../df/d91/structspinel__eui64__t.html">spinel_eui64_t</a>;</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;</div><div class="line"><a name="l00217"></a><span class="lineno"><a class="line" href="../../d0/d83/structspinel__net__xpanid__t.html">  217</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct</span></div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;{</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;    uint8_t bytes[8];</div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;} <a class="code" href="../../d0/d83/structspinel__net__xpanid__t.html">spinel_net_xpanid_t</a>;</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;</div><div class="line"><a name="l00222"></a><span class="lineno"><a class="line" href="../../db/dd3/structspinel__eui48__t.html">  222</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct</span></div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;{</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;    uint8_t bytes[6];</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;} <a class="code" href="../../db/dd3/structspinel__eui48__t.html">spinel_eui48_t</a>;</div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;</div><div class="line"><a name="l00227"></a><span class="lineno"><a class="line" href="../../dc/db6/structspinel__ipv6addr__t.html">  227</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct</span></div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;{</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;    uint8_t bytes[16];</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;} <a class="code" href="../../dc/db6/structspinel__ipv6addr__t.html">spinel_ipv6addr_t</a>;</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;<span class="keyword">typedef</span> <span class="keywordtype">int</span> spinel_ssize_t;</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;<span class="keyword">typedef</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> spinel_size_t;</div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;<span class="keyword">typedef</span> uint8_t spinel_tid_t;</div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;<span class="keyword">typedef</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> spinel_cid_t;</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;</div><div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;<span class="keyword">enum</span></div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;{</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;    SPINEL_MD_FLAG_TX               = 0x0001, </div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;    SPINEL_MD_FLAG_BAD_FCS          = 0x0004, </div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;    SPINEL_MD_FLAG_DUPE             = 0x0008, </div><div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;    SPINEL_MD_FLAG_RESERVED         = 0xFFF2, </div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;};</div><div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;</div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;<span class="keyword">enum</span></div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;{</div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;    SPINEL_CMD_NOOP                 = 0,</div><div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;    SPINEL_CMD_RESET                = 1,</div><div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;    SPINEL_CMD_PROP_VALUE_GET       = 2,</div><div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;    SPINEL_CMD_PROP_VALUE_SET       = 3,</div><div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;    SPINEL_CMD_PROP_VALUE_INSERT    = 4,</div><div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;    SPINEL_CMD_PROP_VALUE_REMOVE    = 5,</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;    SPINEL_CMD_PROP_VALUE_IS        = 6,</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;    SPINEL_CMD_PROP_VALUE_INSERTED  = 7,</div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;    SPINEL_CMD_PROP_VALUE_REMOVED   = 8,</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;</div><div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;    SPINEL_CMD_NET_SAVE             = 9,</div><div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;    SPINEL_CMD_NET_CLEAR            = 10,</div><div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;    SPINEL_CMD_NET_RECALL           = 11,</div><div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;</div><div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;    SPINEL_CMD_HBO_OFFLOAD          = 12,</div><div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;    SPINEL_CMD_HBO_RECLAIM          = 13,</div><div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;    SPINEL_CMD_HBO_DROP             = 14,</div><div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;    SPINEL_CMD_HBO_OFFLOADED        = 15,</div><div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;    SPINEL_CMD_HBO_RECLAIMED        = 16,</div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;    SPINEL_CMD_HBO_DROPED           = 17,</div><div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;</div><div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;    SPINEL_CMD_NEST__BEGIN          = 15296,</div><div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;    SPINEL_CMD_NEST__END            = 15360,</div><div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;</div><div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;    SPINEL_CMD_VENDOR__BEGIN        = 15360,</div><div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;    SPINEL_CMD_VENDOR__END          = 16384,</div><div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;</div><div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;    SPINEL_CMD_EXPERIMENTAL__BEGIN  = 2000000,</div><div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;    SPINEL_CMD_EXPERIMENTAL__END    = 2097152,</div><div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;};</div><div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160;</div><div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160;<span class="keyword">enum</span></div><div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;{</div><div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;    SPINEL_CAP_LOCK                  = 1,</div><div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160;    SPINEL_CAP_NET_SAVE              = 2,</div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;    SPINEL_CAP_HBO                   = 3,</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;    SPINEL_CAP_POWER_SAVE            = 4,</div><div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;</div><div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160;    SPINEL_CAP_COUNTERS              = 5,</div><div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;</div><div class="line"><a name="l00287"></a><span class="lineno">  287</span>&#160;    SPINEL_CAP_802_15_4__BEGIN        = 16,</div><div class="line"><a name="l00288"></a><span class="lineno">  288</span>&#160;    SPINEL_CAP_802_15_4_2003          = (SPINEL_CAP_802_15_4__BEGIN + 0),</div><div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160;    SPINEL_CAP_802_15_4_2006          = (SPINEL_CAP_802_15_4__BEGIN + 1),</div><div class="line"><a name="l00290"></a><span class="lineno">  290</span>&#160;    SPINEL_CAP_802_15_4_2011          = (SPINEL_CAP_802_15_4__BEGIN + 2),</div><div class="line"><a name="l00291"></a><span class="lineno">  291</span>&#160;    SPINEL_CAP_802_15_4_PIB           = (SPINEL_CAP_802_15_4__BEGIN + 5),</div><div class="line"><a name="l00292"></a><span class="lineno">  292</span>&#160;    SPINEL_CAP_802_15_4_2450MHZ_OQPSK = (SPINEL_CAP_802_15_4__BEGIN + 8),</div><div class="line"><a name="l00293"></a><span class="lineno">  293</span>&#160;    SPINEL_CAP_802_15_4_915MHZ_OQPSK  = (SPINEL_CAP_802_15_4__BEGIN + 9),</div><div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160;    SPINEL_CAP_802_15_4_868MHZ_OQPSK  = (SPINEL_CAP_802_15_4__BEGIN + 10),</div><div class="line"><a name="l00295"></a><span class="lineno">  295</span>&#160;    SPINEL_CAP_802_15_4_915MHZ_BPSK   = (SPINEL_CAP_802_15_4__BEGIN + 11),</div><div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;    SPINEL_CAP_802_15_4_868MHZ_BPSK   = (SPINEL_CAP_802_15_4__BEGIN + 12),</div><div class="line"><a name="l00297"></a><span class="lineno">  297</span>&#160;    SPINEL_CAP_802_15_4_915MHZ_ASK    = (SPINEL_CAP_802_15_4__BEGIN + 13),</div><div class="line"><a name="l00298"></a><span class="lineno">  298</span>&#160;    SPINEL_CAP_802_15_4_868MHZ_ASK    = (SPINEL_CAP_802_15_4__BEGIN + 14),</div><div class="line"><a name="l00299"></a><span class="lineno">  299</span>&#160;    SPINEL_CAP_802_15_4__END          = 32,</div><div class="line"><a name="l00300"></a><span class="lineno">  300</span>&#160;</div><div class="line"><a name="l00301"></a><span class="lineno">  301</span>&#160;    SPINEL_CAP_ROLE__BEGIN           = 48,</div><div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;    SPINEL_CAP_ROLE_ROUTER           = (SPINEL_CAP_ROLE__BEGIN + 0),</div><div class="line"><a name="l00303"></a><span class="lineno">  303</span>&#160;    SPINEL_CAP_ROLE_SLEEPY           = (SPINEL_CAP_ROLE__BEGIN + 1),</div><div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;    SPINEL_CAP_ROLE__END             = 52,</div><div class="line"><a name="l00305"></a><span class="lineno">  305</span>&#160;</div><div class="line"><a name="l00306"></a><span class="lineno">  306</span>&#160;    SPINEL_CAP_NET__BEGIN            = 52,</div><div class="line"><a name="l00307"></a><span class="lineno">  307</span>&#160;    SPINEL_CAP_NET_THREAD_1_0        = (SPINEL_CAP_NET__BEGIN + 0),</div><div class="line"><a name="l00308"></a><span class="lineno">  308</span>&#160;    SPINEL_CAP_NET__END              = 64,</div><div class="line"><a name="l00309"></a><span class="lineno">  309</span>&#160;</div><div class="line"><a name="l00310"></a><span class="lineno">  310</span>&#160;    SPINEL_CAP_OPENTHREAD__BEGIN     = 512,</div><div class="line"><a name="l00311"></a><span class="lineno">  311</span>&#160;    SPINEL_CAP_MAC_WHITELIST         = (SPINEL_CAP_OPENTHREAD__BEGIN + 0),</div><div class="line"><a name="l00312"></a><span class="lineno">  312</span>&#160;    SPINEL_CAP_OPENTHREAD__END       = 640,</div><div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160;</div><div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160;    SPINEL_CAP_NEST__BEGIN           = 15296,</div><div class="line"><a name="l00315"></a><span class="lineno">  315</span>&#160;    SPINEL_CAP_NEST_LEGACY_INTERFACE = (SPINEL_CAP_NEST__BEGIN + 0),</div><div class="line"><a name="l00316"></a><span class="lineno">  316</span>&#160;    SPINEL_CAP_NEST_LEGACY_NET_WAKE  = (SPINEL_CAP_NEST__BEGIN + 1),</div><div class="line"><a name="l00317"></a><span class="lineno">  317</span>&#160;    SPINEL_CAP_NEST_TRANSMIT_HOOK    = (SPINEL_CAP_NEST__BEGIN + 2),</div><div class="line"><a name="l00318"></a><span class="lineno">  318</span>&#160;    SPINEL_CAP_NEST__END             = 15360,</div><div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;</div><div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;    SPINEL_CAP_VENDOR__BEGIN         = 15360,</div><div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160;    SPINEL_CAP_VENDOR__END           = 16384,</div><div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160;</div><div class="line"><a name="l00323"></a><span class="lineno">  323</span>&#160;    SPINEL_CAP_EXPERIMENTAL__BEGIN   = 2000000,</div><div class="line"><a name="l00324"></a><span class="lineno">  324</span>&#160;    SPINEL_CAP_EXPERIMENTAL__END     = 2097152,</div><div class="line"><a name="l00325"></a><span class="lineno">  325</span>&#160;};</div><div class="line"><a name="l00326"></a><span class="lineno">  326</span>&#160;</div><div class="line"><a name="l00327"></a><span class="lineno">  327</span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span></div><div class="line"><a name="l00328"></a><span class="lineno">  328</span>&#160;{</div><div class="line"><a name="l00329"></a><span class="lineno">  329</span>&#160;    SPINEL_PROP_LAST_STATUS             = 0,        </div><div class="line"><a name="l00330"></a><span class="lineno">  330</span>&#160;    SPINEL_PROP_PROTOCOL_VERSION        = 1,        </div><div class="line"><a name="l00331"></a><span class="lineno">  331</span>&#160;    SPINEL_PROP_NCP_VERSION             = 2,        </div><div class="line"><a name="l00332"></a><span class="lineno">  332</span>&#160;    SPINEL_PROP_INTERFACE_TYPE          = 3,        </div><div class="line"><a name="l00333"></a><span class="lineno">  333</span>&#160;    SPINEL_PROP_VENDOR_ID               = 4,        </div><div class="line"><a name="l00334"></a><span class="lineno">  334</span>&#160;    SPINEL_PROP_CAPS                    = 5,        </div><div class="line"><a name="l00335"></a><span class="lineno">  335</span>&#160;    SPINEL_PROP_INTERFACE_COUNT         = 6,        </div><div class="line"><a name="l00336"></a><span class="lineno">  336</span>&#160;    SPINEL_PROP_POWER_STATE             = 7,        </div><div class="line"><a name="l00337"></a><span class="lineno">  337</span>&#160;    SPINEL_PROP_HWADDR                  = 8,        </div><div class="line"><a name="l00338"></a><span class="lineno">  338</span>&#160;    SPINEL_PROP_LOCK                    = 9,        </div><div class="line"><a name="l00339"></a><span class="lineno">  339</span>&#160;    SPINEL_PROP_HBO_MEM_MAX             = 10,       </div><div class="line"><a name="l00340"></a><span class="lineno">  340</span>&#160;    SPINEL_PROP_HBO_BLOCK_MAX           = 11,       </div><div class="line"><a name="l00341"></a><span class="lineno">  341</span>&#160;</div><div class="line"><a name="l00342"></a><span class="lineno">  342</span>&#160;    SPINEL_PROP_PHY__BEGIN              = 0x20,</div><div class="line"><a name="l00343"></a><span class="lineno">  343</span>&#160;    SPINEL_PROP_PHY_ENABLED             = SPINEL_PROP_PHY__BEGIN + 0, </div><div class="line"><a name="l00344"></a><span class="lineno">  344</span>&#160;    SPINEL_PROP_PHY_CHAN                = SPINEL_PROP_PHY__BEGIN + 1, </div><div class="line"><a name="l00345"></a><span class="lineno">  345</span>&#160;    SPINEL_PROP_PHY_CHAN_SUPPORTED      = SPINEL_PROP_PHY__BEGIN + 2, </div><div class="line"><a name="l00346"></a><span class="lineno">  346</span>&#160;    SPINEL_PROP_PHY_FREQ                = SPINEL_PROP_PHY__BEGIN + 3, </div><div class="line"><a name="l00347"></a><span class="lineno">  347</span>&#160;    SPINEL_PROP_PHY_CCA_THRESHOLD       = SPINEL_PROP_PHY__BEGIN + 4, </div><div class="line"><a name="l00348"></a><span class="lineno">  348</span>&#160;    SPINEL_PROP_PHY_TX_POWER            = SPINEL_PROP_PHY__BEGIN + 5, </div><div class="line"><a name="l00349"></a><span class="lineno">  349</span>&#160;    SPINEL_PROP_PHY_RSSI                = SPINEL_PROP_PHY__BEGIN + 6, </div><div class="line"><a name="l00350"></a><span class="lineno">  350</span>&#160;    SPINEL_PROP_PHY__END                = 0x30,</div><div class="line"><a name="l00351"></a><span class="lineno">  351</span>&#160;</div><div class="line"><a name="l00352"></a><span class="lineno">  352</span>&#160;    SPINEL_PROP_MAC__BEGIN             = 0x30,</div><div class="line"><a name="l00353"></a><span class="lineno">  353</span>&#160;    SPINEL_PROP_MAC_SCAN_STATE         = SPINEL_PROP_MAC__BEGIN + 0, </div><div class="line"><a name="l00354"></a><span class="lineno">  354</span>&#160;    SPINEL_PROP_MAC_SCAN_MASK          = SPINEL_PROP_MAC__BEGIN + 1, </div><div class="line"><a name="l00355"></a><span class="lineno">  355</span>&#160;    SPINEL_PROP_MAC_SCAN_PERIOD        = SPINEL_PROP_MAC__BEGIN + 2, </div><div class="line"><a name="l00356"></a><span class="lineno">  356</span>&#160;    SPINEL_PROP_MAC_SCAN_BEACON        = SPINEL_PROP_MAC__BEGIN + 3, </div><div class="line"><a name="l00357"></a><span class="lineno">  357</span>&#160;    SPINEL_PROP_MAC_15_4_LADDR         = SPINEL_PROP_MAC__BEGIN + 4, </div><div class="line"><a name="l00358"></a><span class="lineno">  358</span>&#160;    SPINEL_PROP_MAC_15_4_SADDR         = SPINEL_PROP_MAC__BEGIN + 5, </div><div class="line"><a name="l00359"></a><span class="lineno">  359</span>&#160;    SPINEL_PROP_MAC_15_4_PANID         = SPINEL_PROP_MAC__BEGIN + 6, </div><div class="line"><a name="l00360"></a><span class="lineno">  360</span>&#160;    SPINEL_PROP_MAC_RAW_STREAM_ENABLED = SPINEL_PROP_MAC__BEGIN + 7, </div><div class="line"><a name="l00361"></a><span class="lineno">  361</span>&#160;    SPINEL_PROP_MAC_PROMISCUOUS_MODE   = SPINEL_PROP_MAC__BEGIN + 8, </div><div class="line"><a name="l00362"></a><span class="lineno">  362</span>&#160;    SPINEL_PROP_MAC_ENERGY_SCAN_RESULT = SPINEL_PROP_MAC__BEGIN + 9, </div><div class="line"><a name="l00363"></a><span class="lineno">  363</span>&#160;    SPINEL_PROP_MAC__END               = 0x40,</div><div class="line"><a name="l00364"></a><span class="lineno">  364</span>&#160;</div><div class="line"><a name="l00365"></a><span class="lineno">  365</span>&#160;    SPINEL_PROP_MAC_EXT__BEGIN         = 0x1300,</div><div class="line"><a name="l00367"></a><span class="lineno">  367</span>&#160;</div><div class="line"><a name="l00374"></a><span class="lineno">  374</span>&#160;    SPINEL_PROP_MAC_WHITELIST          = SPINEL_PROP_MAC_EXT__BEGIN + 0,</div><div class="line"><a name="l00375"></a><span class="lineno">  375</span>&#160;</div><div class="line"><a name="l00377"></a><span class="lineno">  377</span>&#160;</div><div class="line"><a name="l00379"></a><span class="lineno">  379</span>&#160;    SPINEL_PROP_MAC_WHITELIST_ENABLED  = SPINEL_PROP_MAC_EXT__BEGIN + 1,</div><div class="line"><a name="l00380"></a><span class="lineno">  380</span>&#160;</div><div class="line"><a name="l00382"></a><span class="lineno">  382</span>&#160;</div><div class="line"><a name="l00386"></a><span class="lineno">  386</span>&#160;    SPINEL_PROP_MAC_EXTENDED_ADDR      = SPINEL_PROP_MAC_EXT__BEGIN + 2,</div><div class="line"><a name="l00387"></a><span class="lineno">  387</span>&#160;    SPINEL_PROP_MAC_EXT__END           = 0x1400,</div><div class="line"><a name="l00388"></a><span class="lineno">  388</span>&#160;</div><div class="line"><a name="l00389"></a><span class="lineno">  389</span>&#160;    SPINEL_PROP_NET__BEGIN           = 0x40,</div><div class="line"><a name="l00390"></a><span class="lineno">  390</span>&#160;    SPINEL_PROP_NET_SAVED            = SPINEL_PROP_NET__BEGIN + 0, </div><div class="line"><a name="l00391"></a><span class="lineno">  391</span>&#160;    SPINEL_PROP_NET_IF_UP            = SPINEL_PROP_NET__BEGIN + 1, </div><div class="line"><a name="l00392"></a><span class="lineno">  392</span>&#160;    SPINEL_PROP_NET_STACK_UP         = SPINEL_PROP_NET__BEGIN + 2, </div><div class="line"><a name="l00393"></a><span class="lineno">  393</span>&#160;    SPINEL_PROP_NET_ROLE             = SPINEL_PROP_NET__BEGIN + 3, </div><div class="line"><a name="l00394"></a><span class="lineno">  394</span>&#160;    SPINEL_PROP_NET_NETWORK_NAME     = SPINEL_PROP_NET__BEGIN + 4, </div><div class="line"><a name="l00395"></a><span class="lineno">  395</span>&#160;    SPINEL_PROP_NET_XPANID           = SPINEL_PROP_NET__BEGIN + 5, </div><div class="line"><a name="l00396"></a><span class="lineno">  396</span>&#160;    SPINEL_PROP_NET_MASTER_KEY       = SPINEL_PROP_NET__BEGIN + 6, </div><div class="line"><a name="l00397"></a><span class="lineno">  397</span>&#160;    SPINEL_PROP_NET_KEY_SEQUENCE     = SPINEL_PROP_NET__BEGIN + 7, </div><div class="line"><a name="l00398"></a><span class="lineno">  398</span>&#160;    SPINEL_PROP_NET_PARTITION_ID     = SPINEL_PROP_NET__BEGIN + 8, </div><div class="line"><a name="l00399"></a><span class="lineno">  399</span>&#160;</div><div class="line"><a name="l00401"></a><span class="lineno">  401</span>&#160;</div><div class="line"><a name="l00418"></a><span class="lineno">  418</span>&#160;    SPINEL_PROP_NET_REQUIRE_JOIN_EXISTING</div><div class="line"><a name="l00419"></a><span class="lineno">  419</span>&#160;                                     = SPINEL_PROP_NET__BEGIN + 9,</div><div class="line"><a name="l00420"></a><span class="lineno">  420</span>&#160;</div><div class="line"><a name="l00421"></a><span class="lineno">  421</span>&#160;    SPINEL_PROP_NET__END             = 0x50,</div><div class="line"><a name="l00422"></a><span class="lineno">  422</span>&#160;</div><div class="line"><a name="l00423"></a><span class="lineno">  423</span>&#160;    SPINEL_PROP_THREAD__BEGIN          = 0x50,</div><div class="line"><a name="l00424"></a><span class="lineno">  424</span>&#160;    SPINEL_PROP_THREAD_LEADER_ADDR     = SPINEL_PROP_THREAD__BEGIN + 0, </div><div class="line"><a name="l00425"></a><span class="lineno">  425</span>&#160;    SPINEL_PROP_THREAD_PARENT          = SPINEL_PROP_THREAD__BEGIN + 1, </div><div class="line"><a name="l00426"></a><span class="lineno">  426</span>&#160;    SPINEL_PROP_THREAD_CHILD_TABLE     = SPINEL_PROP_THREAD__BEGIN + 2, </div><div class="line"><a name="l00427"></a><span class="lineno">  427</span>&#160;    SPINEL_PROP_THREAD_LEADER_RID      = SPINEL_PROP_THREAD__BEGIN + 3, </div><div class="line"><a name="l00428"></a><span class="lineno">  428</span>&#160;    SPINEL_PROP_THREAD_LEADER_WEIGHT   = SPINEL_PROP_THREAD__BEGIN + 4, </div><div class="line"><a name="l00429"></a><span class="lineno">  429</span>&#160;    SPINEL_PROP_THREAD_LOCAL_LEADER_WEIGHT</div><div class="line"><a name="l00430"></a><span class="lineno">  430</span>&#160;                                       = SPINEL_PROP_THREAD__BEGIN + 5, </div><div class="line"><a name="l00431"></a><span class="lineno">  431</span>&#160;    SPINEL_PROP_THREAD_NETWORK_DATA    = SPINEL_PROP_THREAD__BEGIN + 6, </div><div class="line"><a name="l00432"></a><span class="lineno">  432</span>&#160;    SPINEL_PROP_THREAD_NETWORK_DATA_VERSION</div><div class="line"><a name="l00433"></a><span class="lineno">  433</span>&#160;                                       = SPINEL_PROP_THREAD__BEGIN + 7, </div><div class="line"><a name="l00434"></a><span class="lineno">  434</span>&#160;    SPINEL_PROP_THREAD_STABLE_NETWORK_DATA</div><div class="line"><a name="l00435"></a><span class="lineno">  435</span>&#160;                                       = SPINEL_PROP_THREAD__BEGIN + 8, </div><div class="line"><a name="l00436"></a><span class="lineno">  436</span>&#160;    SPINEL_PROP_THREAD_STABLE_NETWORK_DATA_VERSION</div><div class="line"><a name="l00437"></a><span class="lineno">  437</span>&#160;                                       = SPINEL_PROP_THREAD__BEGIN + 9,  </div><div class="line"><a name="l00438"></a><span class="lineno">  438</span>&#160;    SPINEL_PROP_THREAD_ON_MESH_NETS    = SPINEL_PROP_THREAD__BEGIN + 10, </div><div class="line"><a name="l00439"></a><span class="lineno">  439</span>&#160;    SPINEL_PROP_THREAD_LOCAL_ROUTES    = SPINEL_PROP_THREAD__BEGIN + 11, </div><div class="line"><a name="l00440"></a><span class="lineno">  440</span>&#160;    SPINEL_PROP_THREAD_ASSISTING_PORTS = SPINEL_PROP_THREAD__BEGIN + 12, </div><div class="line"><a name="l00441"></a><span class="lineno">  441</span>&#160;    SPINEL_PROP_THREAD_ALLOW_LOCAL_NET_DATA_CHANGE</div><div class="line"><a name="l00442"></a><span class="lineno">  442</span>&#160;                                       = SPINEL_PROP_THREAD__BEGIN + 13, </div><div class="line"><a name="l00443"></a><span class="lineno">  443</span>&#160;</div><div class="line"><a name="l00445"></a><span class="lineno">  445</span>&#160;</div><div class="line"><a name="l00452"></a><span class="lineno">  452</span>&#160;    SPINEL_PROP_THREAD_MODE            = SPINEL_PROP_THREAD__BEGIN + 14,</div><div class="line"><a name="l00453"></a><span class="lineno">  453</span>&#160;    SPINEL_PROP_THREAD__END            = 0x60,</div><div class="line"><a name="l00454"></a><span class="lineno">  454</span>&#160;</div><div class="line"><a name="l00455"></a><span class="lineno">  455</span>&#160;    SPINEL_PROP_THREAD_EXT__BEGIN      = 0x1500,</div><div class="line"><a name="l00456"></a><span class="lineno">  456</span>&#160;</div><div class="line"><a name="l00458"></a><span class="lineno">  458</span>&#160;</div><div class="line"><a name="l00462"></a><span class="lineno">  462</span>&#160;    SPINEL_PROP_THREAD_CHILD_TIMEOUT   = SPINEL_PROP_THREAD_EXT__BEGIN + 0,</div><div class="line"><a name="l00463"></a><span class="lineno">  463</span>&#160;</div><div class="line"><a name="l00465"></a><span class="lineno">  465</span>&#160;</div><div class="line"><a name="l00467"></a><span class="lineno">  467</span>&#160;    SPINEL_PROP_THREAD_RLOC16          = SPINEL_PROP_THREAD_EXT__BEGIN + 1,</div><div class="line"><a name="l00468"></a><span class="lineno">  468</span>&#160;</div><div class="line"><a name="l00470"></a><span class="lineno">  470</span>&#160;</div><div class="line"><a name="l00472"></a><span class="lineno">  472</span>&#160;    SPINEL_PROP_THREAD_ROUTER_UPGRADE_THRESHOLD</div><div class="line"><a name="l00473"></a><span class="lineno">  473</span>&#160;                                       = SPINEL_PROP_THREAD_EXT__BEGIN + 2,</div><div class="line"><a name="l00474"></a><span class="lineno">  474</span>&#160;</div><div class="line"><a name="l00476"></a><span class="lineno">  476</span>&#160;</div><div class="line"><a name="l00478"></a><span class="lineno">  478</span>&#160;    SPINEL_PROP_THREAD_CONTEXT_REUSE_DELAY</div><div class="line"><a name="l00479"></a><span class="lineno">  479</span>&#160;                                       = SPINEL_PROP_THREAD_EXT__BEGIN + 3,</div><div class="line"><a name="l00480"></a><span class="lineno">  480</span>&#160;</div><div class="line"><a name="l00482"></a><span class="lineno">  482</span>&#160;</div><div class="line"><a name="l00484"></a><span class="lineno">  484</span>&#160;    SPINEL_PROP_THREAD_NETWORK_ID_TIMEOUT</div><div class="line"><a name="l00485"></a><span class="lineno">  485</span>&#160;                                       = SPINEL_PROP_THREAD_EXT__BEGIN + 4,</div><div class="line"><a name="l00486"></a><span class="lineno">  486</span>&#160;</div><div class="line"><a name="l00488"></a><span class="lineno">  488</span>&#160;</div><div class="line"><a name="l00494"></a><span class="lineno">  494</span>&#160;    SPINEL_PROP_THREAD_ACTIVE_ROUTER_IDS</div><div class="line"><a name="l00495"></a><span class="lineno">  495</span>&#160;                                       = SPINEL_PROP_THREAD_EXT__BEGIN + 5,</div><div class="line"><a name="l00496"></a><span class="lineno">  496</span>&#160;</div><div class="line"><a name="l00498"></a><span class="lineno">  498</span>&#160;</div><div class="line"><a name="l00500"></a><span class="lineno">  500</span>&#160;    SPINEL_PROP_THREAD_RLOC16_DEBUG_PASSTHRU</div><div class="line"><a name="l00501"></a><span class="lineno">  501</span>&#160;                                       = SPINEL_PROP_THREAD_EXT__BEGIN + 6,</div><div class="line"><a name="l00502"></a><span class="lineno">  502</span>&#160;</div><div class="line"><a name="l00504"></a><span class="lineno">  504</span>&#160;</div><div class="line"><a name="l00506"></a><span class="lineno">  506</span>&#160;    SPINEL_PROP_THREAD_ROUTER_ROLE_ENABLED</div><div class="line"><a name="l00507"></a><span class="lineno">  507</span>&#160;                                       = SPINEL_PROP_THREAD_EXT__BEGIN + 7,</div><div class="line"><a name="l00508"></a><span class="lineno">  508</span>&#160;</div><div class="line"><a name="l00510"></a><span class="lineno">  510</span>&#160;</div><div class="line"><a name="l00512"></a><span class="lineno">  512</span>&#160;    SPINEL_PROP_THREAD_ROUTER_DOWNGRADE_THRESHOLD</div><div class="line"><a name="l00513"></a><span class="lineno">  513</span>&#160;                                       = SPINEL_PROP_THREAD_EXT__BEGIN + 8,</div><div class="line"><a name="l00514"></a><span class="lineno">  514</span>&#160;</div><div class="line"><a name="l00516"></a><span class="lineno">  516</span>&#160;</div><div class="line"><a name="l00518"></a><span class="lineno">  518</span>&#160;    SPINEL_PROP_THREAD_ROUTER_SELECTION_JITTER</div><div class="line"><a name="l00519"></a><span class="lineno">  519</span>&#160;                                        = SPINEL_PROP_THREAD_EXT__BEGIN + 9,</div><div class="line"><a name="l00520"></a><span class="lineno">  520</span>&#160;</div><div class="line"><a name="l00522"></a><span class="lineno">  522</span>&#160;</div><div class="line"><a name="l00524"></a><span class="lineno">  524</span>&#160;    SPINEL_PROP_THREAD_PREFERRED_ROUTER_ID</div><div class="line"><a name="l00525"></a><span class="lineno">  525</span>&#160;                                        = SPINEL_PROP_THREAD_EXT__BEGIN + 10,</div><div class="line"><a name="l00526"></a><span class="lineno">  526</span>&#160;</div><div class="line"><a name="l00528"></a><span class="lineno">  528</span>&#160;</div><div class="line"><a name="l00531"></a><span class="lineno">  531</span>&#160;    SPINEL_PROP_THREAD_NEIGHBOR_TABLE  = SPINEL_PROP_THREAD_EXT__BEGIN + 11,</div><div class="line"><a name="l00532"></a><span class="lineno">  532</span>&#160;</div><div class="line"><a name="l00533"></a><span class="lineno">  533</span>&#160;    SPINEL_PROP_THREAD_EXT__END        = 0x1600,</div><div class="line"><a name="l00534"></a><span class="lineno">  534</span>&#160;</div><div class="line"><a name="l00535"></a><span class="lineno">  535</span>&#160;    SPINEL_PROP_IPV6__BEGIN          = 0x60,</div><div class="line"><a name="l00536"></a><span class="lineno">  536</span>&#160;    SPINEL_PROP_IPV6_LL_ADDR         = SPINEL_PROP_IPV6__BEGIN + 0, </div><div class="line"><a name="l00537"></a><span class="lineno">  537</span>&#160;    SPINEL_PROP_IPV6_ML_ADDR         = SPINEL_PROP_IPV6__BEGIN + 1, </div><div class="line"><a name="l00538"></a><span class="lineno">  538</span>&#160;    SPINEL_PROP_IPV6_ML_PREFIX       = SPINEL_PROP_IPV6__BEGIN + 2, </div><div class="line"><a name="l00539"></a><span class="lineno">  539</span>&#160;    SPINEL_PROP_IPV6_ADDRESS_TABLE   = SPINEL_PROP_IPV6__BEGIN + 3, </div><div class="line"><a name="l00540"></a><span class="lineno">  540</span>&#160;    SPINEL_PROP_IPV6_ROUTE_TABLE     = SPINEL_PROP_IPV6__BEGIN + 4, </div><div class="line"><a name="l00541"></a><span class="lineno">  541</span>&#160;</div><div class="line"><a name="l00542"></a><span class="lineno">  542</span>&#160;</div><div class="line"><a name="l00544"></a><span class="lineno">  544</span>&#160;</div><div class="line"><a name="l00551"></a><span class="lineno">  551</span>&#160;    SPINEL_PROP_IPV6_ICMP_PING_OFFLOAD = SPINEL_PROP_IPV6__BEGIN + 5, </div><div class="line"><a name="l00552"></a><span class="lineno">  552</span>&#160;</div><div class="line"><a name="l00553"></a><span class="lineno">  553</span>&#160;    SPINEL_PROP_IPV6__END            = 0x70,</div><div class="line"><a name="l00554"></a><span class="lineno">  554</span>&#160;</div><div class="line"><a name="l00555"></a><span class="lineno">  555</span>&#160;    SPINEL_PROP_STREAM__BEGIN       = 0x70,</div><div class="line"><a name="l00556"></a><span class="lineno">  556</span>&#160;    SPINEL_PROP_STREAM_DEBUG        = SPINEL_PROP_STREAM__BEGIN + 0, </div><div class="line"><a name="l00557"></a><span class="lineno">  557</span>&#160;    SPINEL_PROP_STREAM_RAW          = SPINEL_PROP_STREAM__BEGIN + 1, </div><div class="line"><a name="l00558"></a><span class="lineno">  558</span>&#160;    SPINEL_PROP_STREAM_NET          = SPINEL_PROP_STREAM__BEGIN + 2, </div><div class="line"><a name="l00559"></a><span class="lineno">  559</span>&#160;    SPINEL_PROP_STREAM_NET_INSECURE = SPINEL_PROP_STREAM__BEGIN + 3, </div><div class="line"><a name="l00560"></a><span class="lineno">  560</span>&#160;    SPINEL_PROP_STREAM__END         = 0x80,</div><div class="line"><a name="l00561"></a><span class="lineno">  561</span>&#160;</div><div class="line"><a name="l00562"></a><span class="lineno">  562</span>&#160;</div><div class="line"><a name="l00564"></a><span class="lineno">  564</span>&#160;</div><div class="line"><a name="l00585"></a><span class="lineno">  585</span>&#160;    SPINEL_PROP_UART_BITRATE    = 0x100,</div><div class="line"><a name="l00586"></a><span class="lineno">  586</span>&#160;</div><div class="line"><a name="l00588"></a><span class="lineno">  588</span>&#160;</div><div class="line"><a name="l00598"></a><span class="lineno">  598</span>&#160;    SPINEL_PROP_UART_XON_XOFF   = 0x101,</div><div class="line"><a name="l00599"></a><span class="lineno">  599</span>&#160;</div><div class="line"><a name="l00600"></a><span class="lineno">  600</span>&#160;    SPINEL_PROP_15_4_PIB__BEGIN     = 1024,</div><div class="line"><a name="l00601"></a><span class="lineno">  601</span>&#160;    <span class="comment">// For direct access to the 802.15.4 PID.</span></div><div class="line"><a name="l00602"></a><span class="lineno">  602</span>&#160;    <span class="comment">// Individual registers are fetched using</span></div><div class="line"><a name="l00603"></a><span class="lineno">  603</span>&#160;    <span class="comment">// `SPINEL_PROP_15_4_PIB__BEGIN+[PIB_IDENTIFIER]`</span></div><div class="line"><a name="l00604"></a><span class="lineno">  604</span>&#160;    <span class="comment">// Only supported if SPINEL_CAP_15_4_PIB is set.</span></div><div class="line"><a name="l00605"></a><span class="lineno">  605</span>&#160;    <span class="comment">//</span></div><div class="line"><a name="l00606"></a><span class="lineno">  606</span>&#160;    <span class="comment">// For brevity, the entire 802.15.4 PIB space is</span></div><div class="line"><a name="l00607"></a><span class="lineno">  607</span>&#160;    <span class="comment">// not defined here, but a few choice attributes</span></div><div class="line"><a name="l00608"></a><span class="lineno">  608</span>&#160;    <span class="comment">// are defined for illustration and convenience.</span></div><div class="line"><a name="l00609"></a><span class="lineno">  609</span>&#160;    SPINEL_PROP_15_4_PIB_PHY_CHANNELS_SUPPORTED = SPINEL_PROP_15_4_PIB__BEGIN + 0x01, </div><div class="line"><a name="l00610"></a><span class="lineno">  610</span>&#160;    SPINEL_PROP_15_4_PIB_MAC_PROMISCUOUS_MODE   = SPINEL_PROP_15_4_PIB__BEGIN + 0x51, </div><div class="line"><a name="l00611"></a><span class="lineno">  611</span>&#160;    SPINEL_PROP_15_4_PIB_MAC_SECURITY_ENABLED   = SPINEL_PROP_15_4_PIB__BEGIN + 0x5d, </div><div class="line"><a name="l00612"></a><span class="lineno">  612</span>&#160;    SPINEL_PROP_15_4_PIB__END       = 1280,</div><div class="line"><a name="l00613"></a><span class="lineno">  613</span>&#160;</div><div class="line"><a name="l00614"></a><span class="lineno">  614</span>&#160;    SPINEL_PROP_CNTR__BEGIN        = 1280,</div><div class="line"><a name="l00615"></a><span class="lineno">  615</span>&#160;</div><div class="line"><a name="l00617"></a><span class="lineno">  617</span>&#160;</div><div class="line"><a name="l00620"></a><span class="lineno">  620</span>&#160;    SPINEL_PROP_CNTR_RESET             = SPINEL_PROP_CNTR__BEGIN + 0,</div><div class="line"><a name="l00621"></a><span class="lineno">  621</span>&#160;</div><div class="line"><a name="l00623"></a><span class="lineno">  623</span>&#160;</div><div class="line"><a name="l00624"></a><span class="lineno">  624</span>&#160;    SPINEL_PROP_CNTR_TX_PKT_TOTAL      = SPINEL_PROP_CNTR__BEGIN + 1,</div><div class="line"><a name="l00625"></a><span class="lineno">  625</span>&#160;</div><div class="line"><a name="l00627"></a><span class="lineno">  627</span>&#160;</div><div class="line"><a name="l00628"></a><span class="lineno">  628</span>&#160;    SPINEL_PROP_CNTR_TX_PKT_ACK_REQ    = SPINEL_PROP_CNTR__BEGIN + 2,</div><div class="line"><a name="l00629"></a><span class="lineno">  629</span>&#160;</div><div class="line"><a name="l00631"></a><span class="lineno">  631</span>&#160;</div><div class="line"><a name="l00632"></a><span class="lineno">  632</span>&#160;    SPINEL_PROP_CNTR_TX_PKT_ACKED      = SPINEL_PROP_CNTR__BEGIN + 3,</div><div class="line"><a name="l00633"></a><span class="lineno">  633</span>&#160;</div><div class="line"><a name="l00635"></a><span class="lineno">  635</span>&#160;</div><div class="line"><a name="l00636"></a><span class="lineno">  636</span>&#160;    SPINEL_PROP_CNTR_TX_PKT_NO_ACK_REQ = SPINEL_PROP_CNTR__BEGIN + 4,</div><div class="line"><a name="l00637"></a><span class="lineno">  637</span>&#160;</div><div class="line"><a name="l00639"></a><span class="lineno">  639</span>&#160;</div><div class="line"><a name="l00640"></a><span class="lineno">  640</span>&#160;    SPINEL_PROP_CNTR_TX_PKT_DATA       = SPINEL_PROP_CNTR__BEGIN + 5,</div><div class="line"><a name="l00641"></a><span class="lineno">  641</span>&#160;</div><div class="line"><a name="l00643"></a><span class="lineno">  643</span>&#160;</div><div class="line"><a name="l00644"></a><span class="lineno">  644</span>&#160;    SPINEL_PROP_CNTR_TX_PKT_DATA_POLL  = SPINEL_PROP_CNTR__BEGIN + 6,</div><div class="line"><a name="l00645"></a><span class="lineno">  645</span>&#160;</div><div class="line"><a name="l00647"></a><span class="lineno">  647</span>&#160;</div><div class="line"><a name="l00648"></a><span class="lineno">  648</span>&#160;    SPINEL_PROP_CNTR_TX_PKT_BEACON     = SPINEL_PROP_CNTR__BEGIN + 7,</div><div class="line"><a name="l00649"></a><span class="lineno">  649</span>&#160;</div><div class="line"><a name="l00651"></a><span class="lineno">  651</span>&#160;</div><div class="line"><a name="l00652"></a><span class="lineno">  652</span>&#160;    SPINEL_PROP_CNTR_TX_PKT_BEACON_REQ = SPINEL_PROP_CNTR__BEGIN + 8,</div><div class="line"><a name="l00653"></a><span class="lineno">  653</span>&#160;</div><div class="line"><a name="l00655"></a><span class="lineno">  655</span>&#160;</div><div class="line"><a name="l00656"></a><span class="lineno">  656</span>&#160;    SPINEL_PROP_CNTR_TX_PKT_OTHER      = SPINEL_PROP_CNTR__BEGIN + 9,</div><div class="line"><a name="l00657"></a><span class="lineno">  657</span>&#160;</div><div class="line"><a name="l00659"></a><span class="lineno">  659</span>&#160;</div><div class="line"><a name="l00660"></a><span class="lineno">  660</span>&#160;    SPINEL_PROP_CNTR_TX_PKT_RETRY      = SPINEL_PROP_CNTR__BEGIN + 10,</div><div class="line"><a name="l00661"></a><span class="lineno">  661</span>&#160;</div><div class="line"><a name="l00663"></a><span class="lineno">  663</span>&#160;</div><div class="line"><a name="l00664"></a><span class="lineno">  664</span>&#160;    SPINEL_PROP_CNTR_TX_ERR_CCA        = SPINEL_PROP_CNTR__BEGIN + 11,</div><div class="line"><a name="l00665"></a><span class="lineno">  665</span>&#160;</div><div class="line"><a name="l00667"></a><span class="lineno">  667</span>&#160;</div><div class="line"><a name="l00668"></a><span class="lineno">  668</span>&#160;    SPINEL_PROP_CNTR_RX_PKT_TOTAL      = SPINEL_PROP_CNTR__BEGIN + 100,</div><div class="line"><a name="l00669"></a><span class="lineno">  669</span>&#160;</div><div class="line"><a name="l00671"></a><span class="lineno">  671</span>&#160;</div><div class="line"><a name="l00672"></a><span class="lineno">  672</span>&#160;    SPINEL_PROP_CNTR_RX_PKT_DATA       = SPINEL_PROP_CNTR__BEGIN + 101,</div><div class="line"><a name="l00673"></a><span class="lineno">  673</span>&#160;</div><div class="line"><a name="l00675"></a><span class="lineno">  675</span>&#160;</div><div class="line"><a name="l00676"></a><span class="lineno">  676</span>&#160;    SPINEL_PROP_CNTR_RX_PKT_DATA_POLL  = SPINEL_PROP_CNTR__BEGIN + 102,</div><div class="line"><a name="l00677"></a><span class="lineno">  677</span>&#160;</div><div class="line"><a name="l00679"></a><span class="lineno">  679</span>&#160;</div><div class="line"><a name="l00680"></a><span class="lineno">  680</span>&#160;    SPINEL_PROP_CNTR_RX_PKT_BEACON     = SPINEL_PROP_CNTR__BEGIN + 103,</div><div class="line"><a name="l00681"></a><span class="lineno">  681</span>&#160;</div><div class="line"><a name="l00683"></a><span class="lineno">  683</span>&#160;</div><div class="line"><a name="l00684"></a><span class="lineno">  684</span>&#160;    SPINEL_PROP_CNTR_RX_PKT_BEACON_REQ = SPINEL_PROP_CNTR__BEGIN + 104,</div><div class="line"><a name="l00685"></a><span class="lineno">  685</span>&#160;</div><div class="line"><a name="l00687"></a><span class="lineno">  687</span>&#160;</div><div class="line"><a name="l00688"></a><span class="lineno">  688</span>&#160;    SPINEL_PROP_CNTR_RX_PKT_OTHER      = SPINEL_PROP_CNTR__BEGIN + 105,</div><div class="line"><a name="l00689"></a><span class="lineno">  689</span>&#160;</div><div class="line"><a name="l00691"></a><span class="lineno">  691</span>&#160;</div><div class="line"><a name="l00692"></a><span class="lineno">  692</span>&#160;    SPINEL_PROP_CNTR_RX_PKT_FILT_WL    = SPINEL_PROP_CNTR__BEGIN + 106,</div><div class="line"><a name="l00693"></a><span class="lineno">  693</span>&#160;</div><div class="line"><a name="l00695"></a><span class="lineno">  695</span>&#160;</div><div class="line"><a name="l00696"></a><span class="lineno">  696</span>&#160;    SPINEL_PROP_CNTR_RX_PKT_FILT_DA    = SPINEL_PROP_CNTR__BEGIN + 107,</div><div class="line"><a name="l00697"></a><span class="lineno">  697</span>&#160;</div><div class="line"><a name="l00699"></a><span class="lineno">  699</span>&#160;</div><div class="line"><a name="l00700"></a><span class="lineno">  700</span>&#160;    SPINEL_PROP_CNTR_RX_ERR_EMPTY      = SPINEL_PROP_CNTR__BEGIN + 108,</div><div class="line"><a name="l00701"></a><span class="lineno">  701</span>&#160;</div><div class="line"><a name="l00703"></a><span class="lineno">  703</span>&#160;</div><div class="line"><a name="l00704"></a><span class="lineno">  704</span>&#160;    SPINEL_PROP_CNTR_RX_ERR_UKWN_NBR   = SPINEL_PROP_CNTR__BEGIN + 109,</div><div class="line"><a name="l00705"></a><span class="lineno">  705</span>&#160;</div><div class="line"><a name="l00707"></a><span class="lineno">  707</span>&#160;</div><div class="line"><a name="l00708"></a><span class="lineno">  708</span>&#160;    SPINEL_PROP_CNTR_RX_ERR_NVLD_SADDR = SPINEL_PROP_CNTR__BEGIN + 110,</div><div class="line"><a name="l00709"></a><span class="lineno">  709</span>&#160;</div><div class="line"><a name="l00711"></a><span class="lineno">  711</span>&#160;</div><div class="line"><a name="l00712"></a><span class="lineno">  712</span>&#160;    SPINEL_PROP_CNTR_RX_ERR_SECURITY   = SPINEL_PROP_CNTR__BEGIN + 111,</div><div class="line"><a name="l00713"></a><span class="lineno">  713</span>&#160;</div><div class="line"><a name="l00715"></a><span class="lineno">  715</span>&#160;</div><div class="line"><a name="l00716"></a><span class="lineno">  716</span>&#160;    SPINEL_PROP_CNTR_RX_ERR_BAD_FCS    = SPINEL_PROP_CNTR__BEGIN + 112,</div><div class="line"><a name="l00717"></a><span class="lineno">  717</span>&#160;</div><div class="line"><a name="l00719"></a><span class="lineno">  719</span>&#160;</div><div class="line"><a name="l00720"></a><span class="lineno">  720</span>&#160;    SPINEL_PROP_CNTR_RX_ERR_OTHER      = SPINEL_PROP_CNTR__BEGIN + 113,</div><div class="line"><a name="l00721"></a><span class="lineno">  721</span>&#160;</div><div class="line"><a name="l00723"></a><span class="lineno">  723</span>&#160;</div><div class="line"><a name="l00724"></a><span class="lineno">  724</span>&#160;    SPINEL_PROP_CNTR_TX_IP_SEC_TOTAL   = SPINEL_PROP_CNTR__BEGIN + 200,</div><div class="line"><a name="l00725"></a><span class="lineno">  725</span>&#160;</div><div class="line"><a name="l00727"></a><span class="lineno">  727</span>&#160;</div><div class="line"><a name="l00728"></a><span class="lineno">  728</span>&#160;    SPINEL_PROP_CNTR_TX_IP_INSEC_TOTAL = SPINEL_PROP_CNTR__BEGIN + 201,</div><div class="line"><a name="l00729"></a><span class="lineno">  729</span>&#160;</div><div class="line"><a name="l00731"></a><span class="lineno">  731</span>&#160;</div><div class="line"><a name="l00732"></a><span class="lineno">  732</span>&#160;    SPINEL_PROP_CNTR_TX_IP_DROPPED     = SPINEL_PROP_CNTR__BEGIN + 202,</div><div class="line"><a name="l00733"></a><span class="lineno">  733</span>&#160;</div><div class="line"><a name="l00735"></a><span class="lineno">  735</span>&#160;</div><div class="line"><a name="l00736"></a><span class="lineno">  736</span>&#160;    SPINEL_PROP_CNTR_RX_IP_SEC_TOTAL   = SPINEL_PROP_CNTR__BEGIN + 203,</div><div class="line"><a name="l00737"></a><span class="lineno">  737</span>&#160;</div><div class="line"><a name="l00739"></a><span class="lineno">  739</span>&#160;</div><div class="line"><a name="l00740"></a><span class="lineno">  740</span>&#160;    SPINEL_PROP_CNTR_RX_IP_INSEC_TOTAL = SPINEL_PROP_CNTR__BEGIN + 204,</div><div class="line"><a name="l00741"></a><span class="lineno">  741</span>&#160;</div><div class="line"><a name="l00743"></a><span class="lineno">  743</span>&#160;</div><div class="line"><a name="l00744"></a><span class="lineno">  744</span>&#160;    SPINEL_PROP_CNTR_RX_IP_DROPPED     = SPINEL_PROP_CNTR__BEGIN + 205,</div><div class="line"><a name="l00745"></a><span class="lineno">  745</span>&#160;</div><div class="line"><a name="l00747"></a><span class="lineno">  747</span>&#160;</div><div class="line"><a name="l00748"></a><span class="lineno">  748</span>&#160;    SPINEL_PROP_CNTR_TX_SPINEL_TOTAL   = SPINEL_PROP_CNTR__BEGIN + 300,</div><div class="line"><a name="l00749"></a><span class="lineno">  749</span>&#160;</div><div class="line"><a name="l00751"></a><span class="lineno">  751</span>&#160;</div><div class="line"><a name="l00752"></a><span class="lineno">  752</span>&#160;    SPINEL_PROP_CNTR_RX_SPINEL_TOTAL   = SPINEL_PROP_CNTR__BEGIN + 301,</div><div class="line"><a name="l00753"></a><span class="lineno">  753</span>&#160;</div><div class="line"><a name="l00755"></a><span class="lineno">  755</span>&#160;</div><div class="line"><a name="l00756"></a><span class="lineno">  756</span>&#160;    SPINEL_PROP_CNTR_RX_SPINEL_ERR     = SPINEL_PROP_CNTR__BEGIN + 302,</div><div class="line"><a name="l00757"></a><span class="lineno">  757</span>&#160;</div><div class="line"><a name="l00758"></a><span class="lineno">  758</span>&#160;    SPINEL_PROP_CNTR__END       = 2048,</div><div class="line"><a name="l00759"></a><span class="lineno">  759</span>&#160;</div><div class="line"><a name="l00760"></a><span class="lineno">  760</span>&#160;    SPINEL_PROP_NEST__BEGIN         = 15296,</div><div class="line"><a name="l00761"></a><span class="lineno">  761</span>&#160;    SPINEL_PROP_NEST_STREAM_MFG     = SPINEL_PROP_NEST__BEGIN + 0,</div><div class="line"><a name="l00762"></a><span class="lineno">  762</span>&#160;    SPINEL_PROP_NEST__END           = 15360,</div><div class="line"><a name="l00763"></a><span class="lineno">  763</span>&#160;</div><div class="line"><a name="l00764"></a><span class="lineno">  764</span>&#160;    SPINEL_PROP_VENDOR__BEGIN       = 15360,</div><div class="line"><a name="l00765"></a><span class="lineno">  765</span>&#160;    SPINEL_PROP_VENDOR__END         = 16384,</div><div class="line"><a name="l00766"></a><span class="lineno">  766</span>&#160;</div><div class="line"><a name="l00767"></a><span class="lineno">  767</span>&#160;    SPINEL_PROP_EXPERIMENTAL__BEGIN = 2000000,</div><div class="line"><a name="l00768"></a><span class="lineno">  768</span>&#160;    SPINEL_PROP_EXPERIMENTAL__END   = 2097152,</div><div class="line"><a name="l00769"></a><span class="lineno">  769</span>&#160;} spinel_prop_key_t;</div><div class="line"><a name="l00770"></a><span class="lineno">  770</span>&#160;</div><div class="line"><a name="l00771"></a><span class="lineno">  771</span>&#160;<span class="comment">// ----------------------------------------------------------------------------</span></div><div class="line"><a name="l00772"></a><span class="lineno">  772</span>&#160;</div><div class="line"><a name="l00773"></a><span class="lineno">  773</span>&#160;<span class="preprocessor">#define SPINEL_HEADER_FLAG               0x80</span></div><div class="line"><a name="l00774"></a><span class="lineno">  774</span>&#160;</div><div class="line"><a name="l00775"></a><span class="lineno">  775</span>&#160;<span class="preprocessor">#define SPINEL_HEADER_TID_SHIFT          0</span></div><div class="line"><a name="l00776"></a><span class="lineno">  776</span>&#160;<span class="preprocessor">#define SPINEL_HEADER_TID_MASK           (15 &lt;&lt; SPINEL_HEADER_TID_SHIFT)</span></div><div class="line"><a name="l00777"></a><span class="lineno">  777</span>&#160;</div><div class="line"><a name="l00778"></a><span class="lineno">  778</span>&#160;<span class="preprocessor">#define SPINEL_HEADER_IID_SHIFT          4</span></div><div class="line"><a name="l00779"></a><span class="lineno">  779</span>&#160;<span class="preprocessor">#define SPINEL_HEADER_IID_MASK           (3 &lt;&lt; SPINEL_HEADER_IID_SHIFT)</span></div><div class="line"><a name="l00780"></a><span class="lineno">  780</span>&#160;</div><div class="line"><a name="l00781"></a><span class="lineno">  781</span>&#160;<span class="preprocessor">#define SPINEL_HEADER_IID_0              (0 &lt;&lt; SPINEL_HEADER_IID_SHIFT)</span></div><div class="line"><a name="l00782"></a><span class="lineno">  782</span>&#160;<span class="preprocessor">#define SPINEL_HEADER_IID_1              (1 &lt;&lt; SPINEL_HEADER_IID_SHIFT)</span></div><div class="line"><a name="l00783"></a><span class="lineno">  783</span>&#160;<span class="preprocessor">#define SPINEL_HEADER_IID_2              (2 &lt;&lt; SPINEL_HEADER_IID_SHIFT)</span></div><div class="line"><a name="l00784"></a><span class="lineno">  784</span>&#160;<span class="preprocessor">#define SPINEL_HEADER_IID_3              (3 &lt;&lt; SPINEL_HEADER_IID_SHIFT)</span></div><div class="line"><a name="l00785"></a><span class="lineno">  785</span>&#160;</div><div class="line"><a name="l00786"></a><span class="lineno">  786</span>&#160;<span class="preprocessor">#define SPINEL_HEADER_GET_IID(x)            (((x) &amp; SPINEL_HEADER_IID_MASK) &gt;&gt; SPINEL_HEADER_IID_SHIFT)</span></div><div class="line"><a name="l00787"></a><span class="lineno">  787</span>&#160;<span class="preprocessor">#define SPINEL_HEADER_GET_TID(x)            (spinel_tid_t)(((x)&amp;SPINEL_HEADER_TID_MASK)&gt;&gt;SPINEL_HEADER_TID_SHIFT)</span></div><div class="line"><a name="l00788"></a><span class="lineno">  788</span>&#160;</div><div class="line"><a name="l00789"></a><span class="lineno">  789</span>&#160;<span class="preprocessor">#define SPINEL_GET_NEXT_TID(x)      (spinel_tid_t)((x)&gt;=0xF?1:(x)+1)</span></div><div class="line"><a name="l00790"></a><span class="lineno">  790</span>&#160;</div><div class="line"><a name="l00791"></a><span class="lineno">  791</span>&#160;<span class="preprocessor">#define SPINEL_BEACON_THREAD_FLAG_VERSION_SHIFT 4</span></div><div class="line"><a name="l00792"></a><span class="lineno">  792</span>&#160;<span class="preprocessor">#define SPINEL_BEACON_THREAD_FLAG_VERSION_MASK  (0xf &lt;&lt; SPINEL_BEACON_THREAD_FLAG_VERSION_SHIFT)</span></div><div class="line"><a name="l00793"></a><span class="lineno">  793</span>&#160;<span class="preprocessor">#define SPINEL_BEACON_THREAD_FLAG_JOINABLE      (1 &lt;&lt; 0)</span></div><div class="line"><a name="l00794"></a><span class="lineno">  794</span>&#160;<span class="preprocessor">#define SPINEL_BEACON_THREAD_FLAG_NATIVE        (1 &lt;&lt; 3)</span></div><div class="line"><a name="l00795"></a><span class="lineno">  795</span>&#160;</div><div class="line"><a name="l00796"></a><span class="lineno">  796</span>&#160;<span class="comment">// ----------------------------------------------------------------------------</span></div><div class="line"><a name="l00797"></a><span class="lineno">  797</span>&#160;</div><div class="line"><a name="l00798"></a><span class="lineno">  798</span>&#160;<span class="keyword">enum</span></div><div class="line"><a name="l00799"></a><span class="lineno">  799</span>&#160;{</div><div class="line"><a name="l00800"></a><span class="lineno">  800</span>&#160;    SPINEL_DATATYPE_NULL_C        = 0,</div><div class="line"><a name="l00801"></a><span class="lineno">  801</span>&#160;    SPINEL_DATATYPE_VOID_C        = <span class="charliteral">&#39;.&#39;</span>,</div><div class="line"><a name="l00802"></a><span class="lineno">  802</span>&#160;    SPINEL_DATATYPE_BOOL_C        = <span class="charliteral">&#39;b&#39;</span>,</div><div class="line"><a name="l00803"></a><span class="lineno">  803</span>&#160;    SPINEL_DATATYPE_UINT8_C       = <span class="charliteral">&#39;C&#39;</span>,</div><div class="line"><a name="l00804"></a><span class="lineno">  804</span>&#160;    SPINEL_DATATYPE_INT8_C        = <span class="charliteral">&#39;c&#39;</span>,</div><div class="line"><a name="l00805"></a><span class="lineno">  805</span>&#160;    SPINEL_DATATYPE_UINT16_C      = <span class="charliteral">&#39;S&#39;</span>,</div><div class="line"><a name="l00806"></a><span class="lineno">  806</span>&#160;    SPINEL_DATATYPE_INT16_C       = <span class="charliteral">&#39;s&#39;</span>,</div><div class="line"><a name="l00807"></a><span class="lineno">  807</span>&#160;    SPINEL_DATATYPE_UINT32_C      = <span class="charliteral">&#39;L&#39;</span>,</div><div class="line"><a name="l00808"></a><span class="lineno">  808</span>&#160;    SPINEL_DATATYPE_INT32_C       = <span class="charliteral">&#39;l&#39;</span>,</div><div class="line"><a name="l00809"></a><span class="lineno">  809</span>&#160;    SPINEL_DATATYPE_UINT_PACKED_C = <span class="charliteral">&#39;i&#39;</span>,</div><div class="line"><a name="l00810"></a><span class="lineno">  810</span>&#160;    SPINEL_DATATYPE_IPv6ADDR_C    = <span class="charliteral">&#39;6&#39;</span>,</div><div class="line"><a name="l00811"></a><span class="lineno">  811</span>&#160;    SPINEL_DATATYPE_EUI64_C       = <span class="charliteral">&#39;E&#39;</span>,</div><div class="line"><a name="l00812"></a><span class="lineno">  812</span>&#160;    SPINEL_DATATYPE_EUI48_C       = <span class="charliteral">&#39;e&#39;</span>,</div><div class="line"><a name="l00813"></a><span class="lineno">  813</span>&#160;    SPINEL_DATATYPE_DATA_C        = <span class="charliteral">&#39;D&#39;</span>,</div><div class="line"><a name="l00814"></a><span class="lineno">  814</span>&#160;    SPINEL_DATATYPE_UTF8_C        = <span class="charliteral">&#39;U&#39;</span>, </div><div class="line"><a name="l00815"></a><span class="lineno">  815</span>&#160;    SPINEL_DATATYPE_STRUCT_C      = <span class="charliteral">&#39;T&#39;</span>,</div><div class="line"><a name="l00816"></a><span class="lineno">  816</span>&#160;    SPINEL_DATATYPE_ARRAY_C       = <span class="charliteral">&#39;A&#39;</span>,</div><div class="line"><a name="l00817"></a><span class="lineno">  817</span>&#160;};</div><div class="line"><a name="l00818"></a><span class="lineno">  818</span>&#160;</div><div class="line"><a name="l00819"></a><span class="lineno">  819</span>&#160;<span class="keyword">typedef</span> <span class="keywordtype">char</span> spinel_datatype_t;</div><div class="line"><a name="l00820"></a><span class="lineno">  820</span>&#160;</div><div class="line"><a name="l00821"></a><span class="lineno">  821</span>&#160;<span class="preprocessor">#define SPINEL_DATATYPE_NULL_S        &quot;&quot;</span></div><div class="line"><a name="l00822"></a><span class="lineno">  822</span>&#160;<span class="preprocessor">#define SPINEL_DATATYPE_VOID_S        &quot;.&quot;</span></div><div class="line"><a name="l00823"></a><span class="lineno">  823</span>&#160;<span class="preprocessor">#define SPINEL_DATATYPE_BOOL_S        &quot;b&quot;</span></div><div class="line"><a name="l00824"></a><span class="lineno">  824</span>&#160;<span class="preprocessor">#define SPINEL_DATATYPE_UINT8_S       &quot;C&quot;</span></div><div class="line"><a name="l00825"></a><span class="lineno">  825</span>&#160;<span class="preprocessor">#define SPINEL_DATATYPE_INT8_S        &quot;c&quot;</span></div><div class="line"><a name="l00826"></a><span class="lineno">  826</span>&#160;<span class="preprocessor">#define SPINEL_DATATYPE_UINT16_S      &quot;S&quot;</span></div><div class="line"><a name="l00827"></a><span class="lineno">  827</span>&#160;<span class="preprocessor">#define SPINEL_DATATYPE_INT16_S       &quot;s&quot;</span></div><div class="line"><a name="l00828"></a><span class="lineno">  828</span>&#160;<span class="preprocessor">#define SPINEL_DATATYPE_UINT32_S      &quot;L&quot;</span></div><div class="line"><a name="l00829"></a><span class="lineno">  829</span>&#160;<span class="preprocessor">#define SPINEL_DATATYPE_INT32_S       &quot;l&quot;</span></div><div class="line"><a name="l00830"></a><span class="lineno">  830</span>&#160;<span class="preprocessor">#define SPINEL_DATATYPE_UINT_PACKED_S &quot;i&quot;</span></div><div class="line"><a name="l00831"></a><span class="lineno">  831</span>&#160;<span class="preprocessor">#define SPINEL_DATATYPE_IPv6ADDR_S    &quot;6&quot;</span></div><div class="line"><a name="l00832"></a><span class="lineno">  832</span>&#160;<span class="preprocessor">#define SPINEL_DATATYPE_EUI64_S       &quot;E&quot;</span></div><div class="line"><a name="l00833"></a><span class="lineno">  833</span>&#160;<span class="preprocessor">#define SPINEL_DATATYPE_EUI48_S       &quot;e&quot;</span></div><div class="line"><a name="l00834"></a><span class="lineno">  834</span>&#160;<span class="preprocessor">#define SPINEL_DATATYPE_DATA_S        &quot;D&quot;</span></div><div class="line"><a name="l00835"></a><span class="lineno">  835</span>&#160;<span class="preprocessor">#define SPINEL_DATATYPE_UTF8_S        &quot;U&quot; </span></div><div class="line"><a name="l00836"></a><span class="lineno">  836</span>&#160;<span class="preprocessor">#define SPINEL_DATATYPE_STRUCT_S      &quot;T&quot;</span></div><div class="line"><a name="l00837"></a><span class="lineno">  837</span>&#160;<span class="preprocessor">#define SPINEL_DATATYPE_ARRAY_S       &quot;A&quot;</span></div><div class="line"><a name="l00838"></a><span class="lineno">  838</span>&#160;</div><div class="line"><a name="l00839"></a><span class="lineno">  839</span>&#160;SPINEL_API_EXTERN spinel_ssize_t spinel_datatype_pack(uint8_t *data_out, spinel_size_t data_len,</div><div class="line"><a name="l00840"></a><span class="lineno">  840</span>&#160;                                                      <span class="keyword">const</span> <span class="keywordtype">char</span> *pack_format, ...);</div><div class="line"><a name="l00841"></a><span class="lineno">  841</span>&#160;SPINEL_API_EXTERN spinel_ssize_t spinel_datatype_vpack(uint8_t *data_out, spinel_size_t data_len,</div><div class="line"><a name="l00842"></a><span class="lineno">  842</span>&#160;                                                       <span class="keyword">const</span> <span class="keywordtype">char</span> *pack_format, va_list args);</div><div class="line"><a name="l00843"></a><span class="lineno">  843</span>&#160;SPINEL_API_EXTERN spinel_ssize_t spinel_datatype_unpack(<span class="keyword">const</span> uint8_t *data_in, spinel_size_t data_len,</div><div class="line"><a name="l00844"></a><span class="lineno">  844</span>&#160;                                                        <span class="keyword">const</span> <span class="keywordtype">char</span> *pack_format, ...);</div><div class="line"><a name="l00845"></a><span class="lineno">  845</span>&#160;SPINEL_API_EXTERN spinel_ssize_t spinel_datatype_vunpack(<span class="keyword">const</span> uint8_t *data_in, spinel_size_t data_len,</div><div class="line"><a name="l00846"></a><span class="lineno">  846</span>&#160;                                                         <span class="keyword">const</span> <span class="keywordtype">char</span> *pack_format, va_list args);</div><div class="line"><a name="l00847"></a><span class="lineno">  847</span>&#160;</div><div class="line"><a name="l00848"></a><span class="lineno">  848</span>&#160;SPINEL_API_EXTERN spinel_ssize_t spinel_packed_uint_decode(<span class="keyword">const</span> uint8_t *bytes, spinel_size_t len,</div><div class="line"><a name="l00849"></a><span class="lineno">  849</span>&#160;                                                           <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> *value);</div><div class="line"><a name="l00850"></a><span class="lineno">  850</span>&#160;SPINEL_API_EXTERN spinel_ssize_t spinel_packed_uint_encode(uint8_t *bytes, spinel_size_t len, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> value);</div><div class="line"><a name="l00851"></a><span class="lineno">  851</span>&#160;SPINEL_API_EXTERN spinel_ssize_t spinel_packed_uint_size(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> value);</div><div class="line"><a name="l00852"></a><span class="lineno">  852</span>&#160;</div><div class="line"><a name="l00853"></a><span class="lineno">  853</span>&#160;SPINEL_API_EXTERN <span class="keyword">const</span> <span class="keywordtype">char</span> *spinel_next_packed_datatype(<span class="keyword">const</span> <span class="keywordtype">char</span> *pack_format);</div><div class="line"><a name="l00854"></a><span class="lineno">  854</span>&#160;</div><div class="line"><a name="l00855"></a><span class="lineno">  855</span>&#160;<span class="comment">// ----------------------------------------------------------------------------</span></div><div class="line"><a name="l00856"></a><span class="lineno">  856</span>&#160;</div><div class="line"><a name="l00857"></a><span class="lineno">  857</span>&#160;SPINEL_API_EXTERN <span class="keyword">const</span> <span class="keywordtype">char</span> *spinel_prop_key_to_cstr(spinel_prop_key_t prop_key);</div><div class="line"><a name="l00858"></a><span class="lineno">  858</span>&#160;</div><div class="line"><a name="l00859"></a><span class="lineno">  859</span>&#160;SPINEL_API_EXTERN <span class="keyword">const</span> <span class="keywordtype">char</span> *spinel_status_to_cstr(spinel_status_t status);</div><div class="line"><a name="l00860"></a><span class="lineno">  860</span>&#160;</div><div class="line"><a name="l00861"></a><span class="lineno">  861</span>&#160;<span class="comment">// ----------------------------------------------------------------------------</span></div><div class="line"><a name="l00862"></a><span class="lineno">  862</span>&#160;</div><div class="line"><a name="l00863"></a><span class="lineno">  863</span>&#160;__END_DECLS</div><div class="line"><a name="l00864"></a><span class="lineno">  864</span>&#160;</div><div class="line"><a name="l00865"></a><span class="lineno">  865</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* defined(SPINEL_HEADER_INCLUDED) */</span><span class="preprocessor"></span></div><div class="ttc" id="structspinel__ipv6addr__t_html"><div class="ttname"><a href="../../dc/db6/structspinel__ipv6addr__t.html">spinel_ipv6addr_t</a></div><div class="ttdef"><b>Definition:</b> spinel.h:227</div></div>
<div class="ttc" id="structspinel__net__xpanid__t_html"><div class="ttname"><a href="../../d0/d83/structspinel__net__xpanid__t.html">spinel_net_xpanid_t</a></div><div class="ttdef"><b>Definition:</b> spinel.h:217</div></div>
<div class="ttc" id="structspinel__eui64__t_html"><div class="ttname"><a href="../../df/d91/structspinel__eui64__t.html">spinel_eui64_t</a></div><div class="ttdef"><b>Definition:</b> spinel.h:212</div></div>
<div class="ttc" id="structspinel__eui48__t_html"><div class="ttname"><a href="../../db/dd3/structspinel__eui48__t.html">spinel_eui48_t</a></div><div class="ttdef"><b>Definition:</b> spinel.h:222</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_4eeddf84fddd42d44de1574042fba5c7.html">ncp</a></li><li class="navelem"><b>spinel.h</b></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:34 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
